Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159125 - unconfined_t not allowed execmod of default_t
Summary: unconfined_t not allowed execmod of default_t
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 09:52 UTC by Colin Walters
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.23.18-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-04 23:46:30 UTC


Attachments (Terms of Use)
completely allow execmod in targeted (deleted)
2005-05-30 09:52 UTC, Colin Walters
no flags Details | Diff

Description Colin Walters 2005-05-30 09:52:44 UTC
I was developing some software on my targeted policy laptop, I use a /scratch
partition which is just labeled as file_t.  This works for nearly everything
except for shared libraries which require execmod.

I've attached a patch which allows execmod of file_type in the targeted policy
when allow_execmod is true.

Comment 1 Colin Walters 2005-05-30 09:52:44 UTC
Created attachment 114966 [details]
completely allow execmod in targeted

Comment 2 Daniel Walsh 2005-06-08 13:24:06 UTC
Since this is a te file that is only used in targeted

 if (allow_execmod) {
allow unconfined_t file_type:file execmod;
 }
is all that is needed.  

Modified in selinux-policy-targeted-1.23.18-2


Note You need to log in before you can comment on or make changes to this bug.